document.addEventListener('DOMContentLoaded', function () {
    // Pure JS smooth scrolling to the anchored element by clicking on the link https://codepen.io/Dimas147/pen/pmJeOa

    Math.easeInOutQuad = function (t, b, c, d) {
        t /= d / 2;
        if (t < 1) return c / 2 * t * t + b;
        t--;
        return -c / 2 * (t * (t - 2) - 1) + b;
    };

    function scrollTo(to, duration) {
        var element = document.scrollingElement;
        var start = (element && element.scrollTop) || window.pageYOffset,
            change = to - start,
            increment = 20;
        var currentTime = 0;
        var animateScroll = function () {
            currentTime += increment;
            var val = Math.easeInOutQuad(currentTime, start, change, duration);
            window.scrollTo(0, val);
            if (currentTime < duration) {
                window.setTimeout(animateScroll, increment);
            }
        };
        animateScroll();
    }

    // Scroll to link element
    function scrollToLink() {
        var linkElement = document.getElementsByTagName("a");
        for (var i = 0; i < linkElement.length; i++) {
            var linkHref = linkElement[i].getAttribute("href");
            if (linkHref){
                var hashPosition = linkHref.indexOf("#");
                const elementToScrollTo = document.getElementById(linkHref.substring(hashPosition + 1, linkHref.length)),
                    elementId = linkHref.substring(hashPosition + 1, linkHref.length);
                if (hashPosition >= 0 && linkHref.length - 1 > hashPosition && elementToScrollTo && !linkElement[i].classList.contains("ui-tabs-anchor") && !linkElement[i].classList.contains("tab-link")) {
                    linkElement[i].addEventListener("click", function (e) {
                        e.preventDefault();
                        scrollTo(elementToScrollTo.offsetTop, 600);
                    });
                }
                if (linkElement[i].classList.contains("tab-link") && elementToScrollTo){
                    linkElement[i].addEventListener("click", function (e) {
                        e.preventDefault();
                        var elementLinkId = elementId + "-link";
                        console.log(elementLinkId);
                        location.hash = elementLinkId;
                        document.getElementById(elementLinkId).click();
                        //console.log(document.getElementById(elementLinkId).offsetTop);
                        //scrollTo(document.getElementById(elementLinkId).offsetTop, 600);
                    });
                }
            }
        }
    }

    scrollToLink();

    // Fixed menu on scroll

    var menuElement = document.getElementById("main-menu"),
        menuElementPosition = offset(menuElement);

    function offset(el) {
        var rect = el.getBoundingClientRect(),
            scrollTop = window.pageYOffset || document.documentElement.scrollTop;
        return {top: rect.top + scrollTop};
    }

    function fixMenuOnTop() {
        var scrollPosition = window.scrollY;
        if (scrollPosition >= menuElementPosition.top) {
            menuElement.classList.add("fixed");
        } else {
            menuElement.classList.remove("fixed");
        }
    }

    fixMenuOnTop();

    window.addEventListener('scroll', function () {
        fixMenuOnTop();
    });

});

// Document ready
$(function () {

});